Index: trunk/zoo-project/zoo-kernel/service.c
===================================================================
--- trunk/zoo-project/zoo-kernel/service.c	(revision 966)
+++ trunk/zoo-project/zoo-kernel/service.c	(revision 967)
@@ -39,11 +39,11 @@
  * See https://dxr.mozilla.org/mozilla-central/source/media/mtransport/third_party/nrappkit/src/util/util.c
  */
-int snprintf(char *buffer, size_t n, const char *format, ...)
+int snprintf(char *pcBuffer, size_t n, const char *pccFormat, ...)
 {
   va_list argp;
   int ret;
-  va_start(argp, format);
-  ret = _vscprintf(format, argp);
-  vsnprintf_s(buffer, n, _TRUNCATE, format, argp);
+  va_start(argp, pccFormat);
+  ret = _vscprintf(pccFormat, argp);
+  vsnprintf_s(pcBuffer, n, _TRUNCATE, pccFormat, argp);
   va_end(argp);
   return ret;
@@ -54,9 +54,9 @@
  * Dump a map on stderr
  *
- * @param t the map to dump
- */
-void _dumpMap(map* t){
-  if(t!=NULL){
-    fprintf(stderr,"%s: %s\n",t->name,t->value);
+ * @param pmMap the map to dump
+ */
+void _dumpMap(map* pmMap){
+  if(pmMap!=NULL){
+    fprintf(stderr,"%s: %s\n",pmMap->name,pmMap->value);
     fflush(stderr);
   }else{
@@ -69,11 +69,11 @@
  * Dump a map on stderr, see _dumpMap()
  *
- * @param t the map to dump
- */
-void dumpMap(map* t){
-  map* tmp=t;
-  while(tmp!=NULL){
-    _dumpMap(tmp);
-    tmp=tmp->next;
+ * @param pmMap the map to dump
+ */
+void dumpMap(map* pmMap){
+  map* pmTmp=pmMap;
+  while(pmTmp!=NULL){
+    _dumpMap(pmTmp);
+    pmTmp=pmTmp->next;
   }
 }
@@ -82,12 +82,12 @@
  * Dump a map to a file 
  *
- * @param t the map to dump to file
- * @param file the file pointer to store the map
- */
-void dumpMapToFile(map* t,FILE* file){
-  map* tmp=t;
-  while(tmp!=NULL){
-    fprintf(file,"%s = %s\n",tmp->name,tmp->value);
-    tmp=tmp->next;
+ * @param pmMap the map to dump to file
+ * @param pfFile the file pointer to store the map
+ */
+void dumpMapToFile(map* pmMap,FILE* pfFile){
+  map* pmTmp=pmMap;
+  while(pmTmp!=NULL){
+    fprintf(pfFile,"%s = %s\n",pmTmp->name,pmTmp->value);
+    pmTmp=pmTmp->next;
   }
 }
@@ -96,18 +96,18 @@
  * Dump a maps on stderr, see dumpMap().
  *
- * @param m the map to dump
- */
-void dumpMaps(maps* m){
-  maps* tmp=m;
-  while(tmp!=NULL){
-    fprintf(stderr,"MAP => [%s] \n",tmp->name);
-    fprintf(stderr," * CONTENT [%s] \n",tmp->name);
-    dumpMap(tmp->content);
-    if(tmp->child!=NULL){
-      fprintf(stderr," * CHILD [%s] \n",tmp->name);
-      dumpMaps(tmp->child);
-      fprintf(stderr," * /CHILD [%s] \n",tmp->name);
-    }
-    tmp=tmp->next;
+ * @param pmMap the map to dump
+ */
+void dumpMaps(maps* pmMap){
+  maps* pmTmp=pmMap;
+  while(pmTmp!=NULL){
+    fprintf(stderr,"MAP => [%s] \n",pmTmp->name);
+    fprintf(stderr," * CONTENT [%s] \n",pmTmp->name);
+    dumpMap(pmTmp->content);
+    if(pmTmp->child!=NULL){
+      fprintf(stderr," * CHILD [%s] \n",pmTmp->name);
+      dumpMaps(pmTmp->child);
+      fprintf(stderr," * /CHILD [%s] \n",pmTmp->name);
+    }
+    pmTmp=pmTmp->next;
   }
 }
@@ -116,23 +116,24 @@
  * Dump a maps to a file, see dumpMapToFile().
  *
- * @param m the map to dump
- * @param file the the file pointer to store the map
- */
-void _dumpMapsToFile(maps* m,FILE* file,int limit){
-  maps* tmp=m;
+ * @param pmsMaps the map to dump
+ * @param psFile the the file pointer to store the map
+ * @param iLimit the number of maps to print (0 for no limit)
+ */
+void _dumpMapsToFile(maps* pmsMaps,FILE* psFile,int iLimit){
+  maps* tmp=pmsMaps;
   int cnt=0;
   while(tmp!=NULL){
-    fprintf(file,"[%s]\n",tmp->name);
+    fprintf(psFile,"[%s]\n",tmp->name);
     if(tmp->child!=NULL){
-      _dumpMapsToFile(tmp->child,file,limit);
+      _dumpMapsToFile(tmp->child,psFile,iLimit);
     }else
-      dumpMapToFile(tmp->content,file);
-    fflush(file);
+      dumpMapToFile(tmp->content,psFile);
+    fflush(psFile);
     tmp=tmp->next;
     cnt++;
-    if(limit>=0 && cnt==limit)
+    if(iLimit>=0 && cnt==iLimit)
       tmp=NULL;
   }
-  fflush(file);
+  fflush(psFile);
 }
 
@@ -140,13 +141,13 @@
  * Dump a maps to a file, see _dumpMapsToFile().
  *
- * @param m the map to dump
- * @param file_path the full path to the file name to store the map
- * @param limit the number limiting the maps to be dumped
- */
-void dumpMapsToFile(maps* m,char* file_path,int limit){
-  FILE* file=fopen(file_path,"w+");
-  _dumpMapsToFile(m,file,limit);
-  fflush(file);
-  fclose(file);
+ * @param pmsMaps the map to dump
+ * @param pcaFilePath the the file pointer to store the map
+ * @param iLimit the number of maps to print (0 for no limit)
+ */
+void dumpMapsToFile(maps* pmsMaps,char* pcaFilePath,int iLimit){
+  FILE* psFile=fopen(pcaFilePath,"w+");
+  _dumpMapsToFile(pmsMaps,psFile,iLimit);
+  fflush(psFile);
+  fclose(psFile);
 }
 
@@ -157,8 +158,8 @@
  */
 iotype* createIoType(){
-  iotype* io=(iotype*)malloc(IOTYPE_SIZE);
-  io->content=NULL;
-  io->next=NULL;
-  return io;
+  iotype* pioIO=(iotype*)malloc(IOTYPE_SIZE);
+  pioIO->content=NULL;
+  pioIO->next=NULL;
+  return pioIO;
 }
 
@@ -166,14 +167,14 @@
  * Create a new map
  *
- * @param name the key to add to the map
- * @param value the corresponding value to add to the map
+ * @param pccName the key to add to the map
+ * @param pccValue the corresponding value to add to the map
  * @return a pointer to the allocated map 
  */
-map* createMap(const char* name,const char* value){
-  map* tmp=(map *)malloc(MAP_SIZE);
-  tmp->name=zStrdup(name);
-  tmp->value=zStrdup(value);
-  tmp->next=NULL;
-  return tmp;
+map* createMap(const char* pccName,const char* pccValue){
+  map* pmTtmp=(map *)malloc(MAP_SIZE);
+  pmTtmp->name=zStrdup(pccName);
+  pmTtmp->value=zStrdup(pccValue);
+  pmTtmp->next=NULL;
+  return pmTtmp;
 }
 
@@ -181,14 +182,14 @@
  * Create a new maps with the given name
  *
- * @param name of the maps
+ * @param pccName of the maps
  * @return the allocated map
  */
-maps* createMaps(const char* name){
-  maps* tmp = (maps *) malloc (MAPS_SIZE);
-  tmp->name = zStrdup (name);
-  tmp->content = NULL;
-  tmp->child = NULL;
-  tmp->next = NULL;
-  return tmp;
+maps* createMaps(const char* pccName){
+  maps* pmTmp = (maps *) malloc (MAPS_SIZE);
+  pmTmp->name = zStrdup (pccName);
+  pmTmp->content = NULL;
+  pmTmp->child = NULL;
+  pmTmp->next = NULL;
+  return pmTmp;
 }
 
@@ -196,13 +197,13 @@
  * Count number of map in a map
  *
- * @param m the map to count
+ * @param pmMap the map to count
  * @return number of map in a map
  */
-int count(map* m){
-  map* tmp=m;
+int count(map* pmMap){
+  map* pmTmp=pmMap;
   int c=0;
-  while(tmp!=NULL){
+  while(pmTmp!=NULL){
     c++;
-    tmp=tmp->next;
+    pmTmp=pmTmp->next;
   }
   return c;
@@ -212,13 +213,13 @@
  * Count number of maps in a maps
  *
- * @param m the maps to count
+ * @param pmMap the maps to count
  * @return number of maps in a maps
  */
-int maps_length(maps* m){
-  maps* tmp=m;
+int maps_length(maps* pmMap){
+  maps* pmTmp=pmMap;
   int c=0;
-  while(tmp!=NULL){
+  while(pmTmp!=NULL){
     c++;
-    tmp=tmp->next;
+    pmTmp=pmTmp->next;
   }
   return c;
@@ -228,14 +229,14 @@
  * Verify if a key exist in a map
  *
- * @param m the map to search for the key
- * @param key the key to search in the map
+ * @param pmMap the map to search for the key
+ * @param pccKey the key to search in the map
  * @return true if the key wwas found, false in other case
  */
-bool hasKey(map* m,const char *key){
-  map* tmp=m;
-  while(tmp!=NULL){
-    if(strcasecmp(tmp->name,key)==0)
+bool hasKey(map* pmMap,const char *pccKey){
+  map* pmTmp=pmMap;
+  while(pmTmp!=NULL){
+    if(strcasecmp(pmTmp->name,pccKey)==0)
       return true;
-    tmp=tmp->next;
+    pmTmp=pmTmp->next;
   }
 #ifdef DEBUG_MAP
@@ -248,15 +249,15 @@
  * Access a specific maps
  *
- * @param m the maps to search for the key
- * @param key the key to search in the maps
+ * @param pmMap the maps to search for the key
+ * @param pccKey the key to search in the maps
  * @return a pointer on the maps found or NULL if not found
  */
-maps* getMaps(maps* m,const char *key){
-  maps* tmp=m;
-  while(tmp!=NULL){
-    if(strcasecmp(tmp->name,key)==0){
-      return tmp;
-    }
-    tmp=tmp->next;
+maps* getMaps(maps* pmsMaps,const char *pccKey){
+  maps* pmTmp=pmsMaps;
+  while(pmTmp!=NULL){
+    if(strcasecmp(pmTmp->name,pccKey)==0){
+      return pmTmp;
+    }
+    pmTmp=pmTmp->next;
   }
   return NULL;
@@ -266,15 +267,15 @@
  * Access a specific map
  *
- * @param m the map to search for the key
- * @param key the key to search in the map
+ * @param pmMap the map to search for the key
+ * @param pccKey the key to search in the map
  * @return a pointer on the map found or NULL if not found
  */
-map* getMap(map* m,const char *key){
-  map* tmp=m;
-  while(tmp!=NULL){
-    if(strcasecmp(tmp->name,key)==0){
-      return tmp;
-    }
-    tmp=tmp->next;
+map* getMap(map* pmMap,const char *pccKey){
+  map* pmTmp=pmMap;
+  while(pmTmp!=NULL){
+    if(strcasecmp(pmTmp->name,pccKey)==0){
+      return pmTmp;
+    }
+    pmTmp=pmTmp->next;
   }
   return NULL;
@@ -285,14 +286,14 @@
  * Access the last map
  *
- * @param m the map to search for the lastest map
+ * @param pmMap the map to search for the lastest map
  * @return a pointer on the lastest map found or NULL if not found
  */
-map* getLastMap(map* m){
-  map* tmp=m;
-  while(tmp!=NULL){
-    if(tmp->next==NULL){
-      return tmp;
-    }
-    tmp=tmp->next;
+map* getLastMap(map* pmMap){
+  map* pmTmp=pmMap;
+  while(pmTmp!=NULL){
+    if(pmTmp->next==NULL){
+      return pmTmp;
+    }
+    pmTmp=pmTmp->next;
   }
   return NULL;
@@ -302,14 +303,14 @@
  * Access a specific map from a maps
  *
- * @param m the maps to search for the key
- * @param key the key to search in the maps
- * @param subkey the key to search in the map (found for the key, if any)
+ * @param pmMap the maps to search for the key
+ * @param pccKey the key to search in the maps
+ * @param pccSubkey the key to search in the map (found for the key, if any)
  * @return a pointer on the map found or NULL if not found
  */
-map* getMapFromMaps(maps* m,const char* key,const char* subkey){
-  maps* _tmpm=getMaps(m,key);
-  if(_tmpm!=NULL){
-    map* _ztmpm=getMap(_tmpm->content,subkey);
-    return _ztmpm;
+map* getMapFromMaps(maps* pmMap,const char* pccKey,const char* pccSubkey){
+  maps* pmTmp=getMaps(pmMap,pccKey);
+  if(pmTmp!=NULL){
+    map* pmTmp1=getMap(pmTmp->content,pccSubkey);
+    return pmTmp1;
   }
   else return NULL;
@@ -320,20 +321,20 @@
  * Require to call free on mo after calling this function.
  *
- * @param mo the map to free
- */
-void freeMap(map** mo){
-  map* _cursor=*mo;
-  if(_cursor!=NULL){
+ * @param pmMap the map to free
+ */
+void freeMap(map** pmMap){
+  map* pmCursor=*pmMap;
+  if(pmCursor!=NULL){
 #ifdef DEBUG
     fprintf(stderr,"freeMap\n");
 #endif
-    if(_cursor->name!=NULL)
-      free(_cursor->name);
-    if(_cursor->value!=NULL)
-      free(_cursor->value);
-    if(_cursor->next!=NULL){
-      freeMap(&_cursor->next);
-      if(_cursor->next!=NULL)
-	free(_cursor->next);
+    if(pmCursor->name!=NULL)
+      free(pmCursor->name);
+    if(pmCursor->value!=NULL)
+      free(pmCursor->value);
+    if(pmCursor->next!=NULL){
+      freeMap(&pmCursor->next);
+      if(pmCursor->next!=NULL)
+	free(pmCursor->next);
     }
   }
@@ -344,24 +345,24 @@
  * Require to call free on mo after calling this function.
  *
- * @param mo the maps to free
- */
-void freeMaps(maps** mo){
-  maps* _cursor=*mo;
-  if(_cursor && _cursor!=NULL){
+ * @param pmMap the maps to free
+ */
+void freeMaps(maps** pmMap){
+  maps* pmCursor=*pmMap;
+  if(pmCursor && pmCursor!=NULL){
 #ifdef DEBUG
     fprintf(stderr,"freeMaps\n");
 #endif
-    free(_cursor->name);
-    if(_cursor->content!=NULL){
-      freeMap(&_cursor->content);
-      free(_cursor->content);
-    }
-    if(_cursor->child!=NULL){
-      freeMaps(&_cursor->child);
-      free(_cursor->child);
-    }
-    if(_cursor->next!=NULL){
-      freeMaps(&_cursor->next);
-      free(_cursor->next);
+    free(pmCursor->name);
+    if(pmCursor->content!=NULL){
+      freeMap(&pmCursor->content);
+      free(pmCursor->content);
+    }
+    if(pmCursor->child!=NULL){
+      freeMaps(&pmCursor->child);
+      free(pmCursor->child);
+    }
+    if(pmCursor->next!=NULL){
+      freeMaps(&pmCursor->next);
+      free(pmCursor->next);
     }
   }
@@ -371,14 +372,14 @@
  * Verify if an elements contains a name equal to the given key.
  *
- * @param e the elements to search for the key
- * @param key the elements name to search
+ * @param peElem the elements to search for the key
+ * @param pccKey the elements name to search
  * @return true if the elements contains the name, false in other cases.
  */ 
-bool hasElement(elements* e,const char* key){
-  elements* tmp=e;
-  while(tmp!=NULL){
-    if(strcasecmp(key,tmp->name)==0)
+bool hasElement(elements* peElem,const char* pccKey){
+  elements* peTmp=peElem;
+  while(peTmp!=NULL){
+    if(strcasecmp(pccKey,peTmp->name)==0)
       return true;
-    tmp=tmp->next;
+    peTmp=peTmp->next;
   }
   return false;
@@ -388,14 +389,14 @@
  * Access a specific elements named key.
  *
- * @param m the elements to search
- * @param key the elements name to search
+ * @param peElem the elements to search
+ * @param pccKey the elements name to search
  * @return a pointer to the specific element if found, NULL in other case.
  */ 
-elements* getElements(elements* m,const char *key){
-  elements* tmp=m;
-  while(tmp!=NULL){
-    if(strcasecmp(tmp->name,key)==0)
-      return tmp;
-    tmp=tmp->next;
+elements* getElements(elements* peElem,const char *pccKey){
+  elements* peTmp=peElem;
+  while(peTmp!=NULL){
+    if(strcasecmp(peTmp->name,pccKey)==0)
+      return peTmp;
+    peTmp=peTmp->next;
   }
   return NULL;
@@ -406,15 +407,15 @@
  * Require to call free on i after calling this function.
  *
- * @param i the iotype to free
- */
-void freeIOType(iotype** i){
-  iotype* _cursor=*i;
-  if(_cursor!=NULL){
-    if(_cursor->next!=NULL){
-      freeIOType(&_cursor->next);
-      free(_cursor->next);
-    }
-    freeMap(&_cursor->content);
-    free(_cursor->content);
+ * @param piotIO the iotype to free
+ */
+void freeIOType(iotype** piotIO){
+  iotype* piotCursor=*piotIO;
+  if(piotCursor!=NULL){
+    if(piotCursor->next!=NULL){
+      freeIOType(&piotCursor->next);
+      free(piotCursor->next);
+    }
+    freeMap(&piotCursor->content);
+    free(piotCursor->content);
   }
 }
@@ -424,37 +425,37 @@
  * Require to call free on e after calling this function.
  *
- * @param e the iotype to free
- */
-void freeElements(elements** e){
-  elements* tmp=*e;
-  if(tmp!=NULL){
-    if(tmp->name!=NULL)
-      free(tmp->name);
-    freeMap(&tmp->content);
-    if(tmp->content!=NULL)
-      free(tmp->content);
-    freeMap(&tmp->metadata);
-    if(tmp->metadata!=NULL)
-      free(tmp->metadata);
-    freeMap(&tmp->additional_parameters);
-    if(tmp->additional_parameters!=NULL)
-      free(tmp->additional_parameters);
-    if(tmp->format!=NULL)
-      free(tmp->format);
-    freeElements(&tmp->child);
-    if(tmp->child!=NULL){
-      free(tmp->child);
-    }
-    if(tmp->defaults!=NULL){
-      freeIOType(&tmp->defaults);
-      free(tmp->defaults);
-    }
-    if(tmp->supported!=NULL){
-      freeIOType(&tmp->supported);
-      free(tmp->supported);
-    }
-    if(tmp->next!=NULL){
-      freeElements(&tmp->next);
-      free(tmp->next);
+ * @param peElem the iotype to free
+ */
+void freeElements(elements** peElem){
+  elements* peTmp=*peElem;
+  if(peTmp!=NULL){
+    if(peTmp->name!=NULL)
+      free(peTmp->name);
+    freeMap(&peTmp->content);
+    if(peTmp->content!=NULL)
+      free(peTmp->content);
+    freeMap(&peTmp->metadata);
+    if(peTmp->metadata!=NULL)
+      free(peTmp->metadata);
+    freeMap(&peTmp->additional_parameters);
+    if(peTmp->additional_parameters!=NULL)
+      free(peTmp->additional_parameters);
+    if(peTmp->format!=NULL)
+      free(peTmp->format);
+    freeElements(&peTmp->child);
+    if(peTmp->child!=NULL){
+      free(peTmp->child);
+    }
+    if(peTmp->defaults!=NULL){
+      freeIOType(&peTmp->defaults);
+      free(peTmp->defaults);
+    }
+    if(peTmp->supported!=NULL){
+      freeIOType(&peTmp->supported);
+      free(peTmp->supported);
+    }
+    if(peTmp->next!=NULL){
+      freeElements(&peTmp->next);
+      free(peTmp->next);
     }
   }
@@ -469,12 +470,12 @@
  */
 service* createService(){
-  service *s1 = (service *) malloc (SERVICE_SIZE);
-  s1->name=NULL;
-  s1->content=NULL;
-  s1->metadata=NULL;
-  s1->additional_parameters=NULL;
-  s1->inputs=NULL;
-  s1->outputs=NULL;
-  return s1;
+  service *psService = (service *) malloc (SERVICE_SIZE);
+  psService->name=NULL;
+  psService->content=NULL;
+  psService->metadata=NULL;
+  psService->additional_parameters=NULL;
+  psService->inputs=NULL;
+  psService->outputs=NULL;
+  return psService;
 }
 
@@ -483,26 +484,26 @@
  * Require to be invoked for every createService call.
  *
- * @param s the service to free
- */
-void freeService(service** s){
-  service* tmp=*s;
-  if(tmp!=NULL){
-    if(tmp->name!=NULL)
-      free(tmp->name);
-    freeMap(&tmp->content);
-    if(tmp->content!=NULL)
-      free(tmp->content);
-    freeMap(&tmp->metadata);
-    if(tmp->metadata!=NULL)
-      free(tmp->metadata);
-    freeMap(&tmp->additional_parameters);
-    if(tmp->additional_parameters!=NULL)
-      free(tmp->additional_parameters);
-    freeElements(&tmp->inputs);
-    if(tmp->inputs!=NULL)
-      free(tmp->inputs);
-    freeElements(&tmp->outputs);
-    if(tmp->outputs!=NULL)
-      free(tmp->outputs);
+ * @param psService the service to free
+ */
+void freeService(service** psService){
+  service* psTmp=*psService;
+  if(psTmp!=NULL){
+    if(psTmp->name!=NULL)
+      free(psTmp->name);
+    freeMap(&psTmp->content);
+    if(psTmp->content!=NULL)
+      free(psTmp->content);
+    freeMap(&psTmp->metadata);
+    if(psTmp->metadata!=NULL)
+      free(psTmp->metadata);
+    freeMap(&psTmp->additional_parameters);
+    if(psTmp->additional_parameters!=NULL)
+      free(psTmp->additional_parameters);
+    freeElements(&psTmp->inputs);
+    if(psTmp->inputs!=NULL)
+      free(psTmp->inputs);
+    freeElements(&psTmp->outputs);
+    if(psTmp->outputs!=NULL)
+      free(psTmp->outputs);
   }
 }
@@ -511,24 +512,24 @@
  * Add key value pair to an existing map.
  *
- * @param m the map to add the KVP
- * @param n the key to add
- * @param v the corresponding value to add
- */
-void addToMap(map* m,const char* n,const char* v){
-    if (m != NULL) { // knut: add NULL-pointer check
-        if (hasKey(m, n) == false) {
-            map* _cursor = m;
-            while (_cursor->next != NULL) {
-                _cursor = _cursor->next;
-            }
-            _cursor->next = createMap(n, v);
-        }
-        else {
-            map *tmp = getMap(m, n);
-            if (tmp->value != NULL)
-                free(tmp->value);
-            tmp->value = zStrdup(v);
-        }
-    }
+ * @param pMap the map to add the KVP
+ * @param pccName the key to add
+ * @param pccValue the corresponding value to add
+ */
+void addToMap(map* pMap,const char* pccName,const char* pccValue){
+  if (pMap != NULL) { // knut: add NULL-pointer check
+    if (hasKey(pMap, pccName) == false) {
+      map* pmCursor = pMap;
+      while (pmCursor->next != NULL) {
+	pmCursor = pmCursor->next;
+      }
+      pmCursor->next = createMap(pccName, pccValue);
+    }
+    else {
+      map *tmp = getMap(pMap, pccName);
+      if (tmp->value != NULL)
+	free(tmp->value);
+      tmp->value = zStrdup(pccValue);
+    }
+  }
 }
 
@@ -536,23 +537,23 @@
  * Add a key and an integer value to an existing map.
  *
- * @param m the map to add the KVP
- * @param n the key to add
- * @param v the corresponding value to add
- */
-void addIntToMap(map* m,const char* n,const int v){
-  char svalue[10];
-  sprintf(svalue,"%d",v);
-  if(hasKey(m,n)==false){
-    map* _cursor=m;
-    while(_cursor->next!=NULL){
-      _cursor=_cursor->next;
-    }
-    _cursor->next=createMap(n,svalue);
+ * @param pMap the map to add the KVP
+ * @param pccName the key to add
+ * @param iValue the corresponding value to add
+ */
+void addIntToMap(map* pMap,const char* pccName,const int iValue){
+  char acValue[10];
+  sprintf(acValue,"%d",iValue);
+  if(hasKey(pMap,pccName)==false){
+    map* pmCursor=pMap;
+    while(pmCursor->next!=NULL){
+      pmCursor=pmCursor->next;
+    }
+    pmCursor->next=createMap(pccName,acValue);
   }
   else{
-    map *tmp=getMap(m,n);
-    if(tmp->value!=NULL)
-      free(tmp->value);
-    tmp->value=zStrdup(svalue);
+    map *pmTmp=getMap(pMap,pccName);
+    if(pmTmp->value!=NULL)
+      free(pmTmp->value);
+    pmTmp->value=zStrdup(acValue);
   }
 }
@@ -561,34 +562,34 @@
  * Add a key and a binary value to an existing map.
  *
- * @param m the map to add the KVP
- * @param n the key to add
- * @param v the corresponding value to add
- * @param size the size of the given value
+ * @param pMap the map to add the KVP
+ * @param pccName the key to add
+ * @param pccValue the corresponding value to add
+ * @param iSize the size of the given value
  * @return a pointer to the updated map m
  */
-map* addToMapWithSize(map* m,const char* n,const char* v,int size){
-  char sin[128];
-  char sname[10]="size";
-  map *tmp;
-  if(hasKey(m,n)==false){
-    map* _cursor=m;
+map* addToMapWithSize(map* pMap,const char* pccName,const char* pccValue,int iSize){
+  char acIn[128];
+  char acName[10]="size";
+  map *pmTmp;
+  if(hasKey(pMap,pccName)==false){
+    map* _cursor=pMap;
     if(_cursor!=NULL){
-      addToMap(m,n,"");
+      addToMap(pMap,pccName,"");
     }else{
-      m=createMap(n,"");
-    }
-  }
-  if(strlen(n)>5)
-    sprintf(sname,"size_%s",n+6);
-  tmp=getMap(m,n);
-  if(tmp->value!=NULL)
-    free(tmp->value);
-  tmp->value=(char*)malloc((size+1)*sizeof(char));
-  if(v!=NULL)
-    memmove(tmp->value,v,size*sizeof(char));
-  tmp->value[size]=0;
-  sprintf(sin,"%d",size);
-  addToMap(m,sname,sin);
-  return m;
+      pMap=createMap(pccName,"");
+    }
+  }
+  if(strlen(pccName)>5)
+    sprintf(acName,"size_%s",pccName+6);
+  pmTmp=getMap(pMap,pccName);
+  if(pmTmp->value!=NULL)
+    free(pmTmp->value);
+  pmTmp->value=(char*)malloc((iSize+1)*sizeof(char));
+  if(pccValue!=NULL)
+    memmove(pmTmp->value,pccValue,iSize*sizeof(char));
+  pmTmp->value[iSize]=0;
+  sprintf(acIn,"%d",iSize);
+  addToMap(pMap,acName,acIn);
+  return pMap;
 }
 
@@ -596,28 +597,28 @@
  * Add a map at the end of another map.
  *
- * @param mo the map to add mi
- * @param mi the map to add to mo
- */
-void addMapToMap(map** mo,map* mi){
-  map* tmp=mi;
-  map* _cursor=*mo;
-  while(tmp!=NULL){
-    if(_cursor==NULL){
-      *mo=createMap(tmp->name,tmp->value);
-      (*mo)->next=NULL;
+ * @param pmMapOut the map to add pmMapIn to
+ * @param pmMapIn the map to add to pmMapOut
+ */
+void addMapToMap(map** pmMapOut,map* pmMapIn){
+  map* pmTmp=pmMapIn;
+  map* pmCursor=*pmMapOut;
+  while(pmTmp!=NULL){
+    if(pmCursor==NULL){
+      *pmMapOut=createMap(pmTmp->name,pmTmp->value);
+      (*pmMapOut)->next=NULL;
     }
     else{
-      map* tmp1=getMap(*mo,tmp->name);
-      if(tmp1==NULL){
-	while(_cursor->next!=NULL)
-	  _cursor=_cursor->next;
-	_cursor->next=createMap(tmp->name,tmp->value);
+      map* pmTmp1=getMap(*pmMapOut,pmTmp->name);
+      if(pmTmp1==NULL){
+	while(pmCursor->next!=NULL)
+	  pmCursor=pmCursor->next;
+	pmCursor->next=createMap(pmTmp->name,pmTmp->value);
       }
       else{
-	addToMap(*mo,tmp->name,tmp->value);
+	addToMap(*pmMapOut,pmTmp->name,pmTmp->value);
       }
     }
-    _cursor=*mo;
-    tmp=tmp->next;
+    pmCursor=*pmMapOut;
+    pmTmp=pmTmp->next;
   }
 }
@@ -626,16 +627,16 @@
  * Add a map to iotype.
  *
- * @param io the iotype to add the map
- * @param mi the map to add to io
- */
-void addMapToIoType(iotype** io,map* mi){
-  iotype* tmp=*io;
-  while(tmp->next!=NULL){
-    tmp=tmp->next;
-  }
-  tmp->next=(iotype*)malloc(IOTYPE_SIZE);
-  tmp->next->content=NULL;
-  addMapToMap(&tmp->next->content,mi);
-  tmp->next->next=NULL;
+ * @param piotType the iotype to add the map
+ * @param pmMap the map to add to io
+ */
+void addMapToIoType(iotype** piotType,map* pmMap){
+  iotype* piotTmp=*piotType;
+  while(piotTmp->next!=NULL){
+    piotTmp=piotTmp->next;
+  }
+  piotTmp->next=(iotype*)malloc(IOTYPE_SIZE);
+  piotTmp->next->content=NULL;
+  addMapToMap(&piotTmp->next->content,pmMap);
+  piotTmp->next->next=NULL;
 }
 
@@ -643,21 +644,21 @@
  * Access a specific map or set its value.
  *
- * @param m the map to search for the key
- * @param key the key to search/add in the map
- * @param value the value to add if the key does not exist
+ * @param ppmMap the map to search for the key
+ * @param pccKey the key to search/add in the map
+ * @param pccValue the value to add if the key does not exist
  * @return a pointer on the map found or NULL if not found
  */
-map* getMapOrFill(map** m,const char *key,const char* value){
-  map* tmp=*m;
-  map* tmpMap=getMap(tmp,key);
-  if(tmpMap==NULL){
-    if(tmp!=NULL){
-      addToMap((*m),key,value);
+map* getMapOrFill(map** ppmMap,const char *pccKey,const char* pccValue){
+  map* pmTmp=*ppmMap;
+  map* pmTmp1=getMap(pmTmp,pccKey);
+  if(pmTmp1==NULL){
+    if(pmTmp!=NULL){
+      addToMap((*ppmMap),pccKey,pccValue);
     }
     else
-      (*m)=createMap(key,value);
-    tmpMap=getMap(*m,key);
-  }
-  return tmpMap;
+      (*ppmMap)=createMap(pccKey,pccValue);
+    pmTmp1=getMap(*ppmMap,pccKey);
+  }
+  return pmTmp1;
 }
 
@@ -665,20 +666,21 @@
  * Verify if a map is contained in another map.
  *
- * @param m the map to search for i
- * @param i the map to search in m
+ * @param pmMap the map to search for i
+ * @param pmSearch the map to search in m
  * @return true if i was found in m, false in other case
  */
-bool contains(map* m,map* i){
-  while(i!=NULL){      
-    if(strcasecmp(i->name,"value")!=0 &&
-       strcasecmp(i->name,"xlink:href")!=0 &&
-       strcasecmp(i->name,"useMapServer")!=0 &&
-       strcasecmp(i->name,"asReference")!=0){
+bool contains(map* pmMap,map* pmSearch){
+  while(pmSearch!=NULL){      
+    if(strcasecmp(pmSearch->name,"value")!=0 &&
+       strcasecmp(pmSearch->name,"xlink:href")!=0 &&
+       strcasecmp(pmSearch->name,"useMapServer")!=0 &&
+       strcasecmp(pmSearch->name,"asReference")!=0){
       map *tmp;
-      if(hasKey(m,i->name) && (tmp=getMap(m,i->name))!=NULL && 
-	 strcasecmp(i->value,tmp->value)!=0)
+      if(hasKey(pmMap,pmSearch->name) &&
+	 (tmp=getMap(pmMap,pmSearch->name))!=NULL && 
+	 strcasecmp(pmSearch->value,tmp->value)!=0)
 	return false;
     }
-    i=i->next;
+    pmSearch=pmSearch->next;
   }
   return true;
@@ -688,21 +690,21 @@
  * Access a specific iotype from an elements.
  *
- * @param e the elements to search for the name
- * @param name the name to search in the elements e
- * @param values the map to verify it was contained in the defaults or 
+ * @param peElem the elements to search for the name
+ * @param pcName the name to search in the elements e
+ * @param pcValues the map to verify it was contained in the defaults or 
  *  supported content of the elements e
  * @return a pointer on the iotype found or NULL if not found
  */
-iotype* getIoTypeFromElement(elements* e,char *name, map* values){
-  elements* cursor=e;
-  if(values!=NULL){
-    while(cursor!=NULL){
-      if(strcasecmp(cursor->name,name)==0 && (cursor->defaults!=NULL || cursor->supported!=NULL)){
-	if(contains(cursor->defaults->content,values)==true)
-	  return cursor->defaults;
+iotype* getIoTypeFromElement(elements* peElem,char *pcName, map* pcValues){
+  elements* peCursor=peElem;
+  if(pcValues!=NULL){
+    while(peCursor!=NULL){
+      if(strcasecmp(peCursor->name,pcName)==0 && (peCursor->defaults!=NULL || peCursor->supported!=NULL)){
+	if(contains(peCursor->defaults->content,pcValues)==true)
+	  return peCursor->defaults;
 	else{
-	  iotype* tmp=cursor->supported;
+	  iotype* tmp=peCursor->supported;
 	  while(tmp!=NULL){
-	    if(contains(tmp->content,values)==true)
+	    if(contains(tmp->content,pcValues)==true)
 	      return tmp;	    
 	    tmp=tmp->next;
@@ -710,12 +712,12 @@
 	}
       }
-      cursor=cursor->next;
+      peCursor=peCursor->next;
     }
   }else{
-    while(cursor!=NULL){
-      if(strcasecmp(cursor->name,name)==0 && cursor->defaults!=NULL){
-	return cursor->defaults;
+    while(peCursor!=NULL){
+      if(strcasecmp(peCursor->name,pcName)==0 && peCursor->defaults!=NULL){
+	return peCursor->defaults;
       }
-      cursor=cursor->next;
+      peCursor=peCursor->next;
     }
   }
@@ -726,35 +728,35 @@
  * Load binary values from a map (in) and add them to another map (out)
  *
- * @param out the map to add binaries values
- * @param in the map containing the binary values to add ti out
- * @param pos index of the binary in an array (in case of "MapArray")
- */
-void loadMapBinary(map** out,map* in,int pos){
-  map* size=getMap(in,"size");
-  map *lout=*out;
-  map *tmpVin,*tmpVout;
-  if(size!=NULL && pos>0){
+ * @param pmOut the map to add binaries values
+ * @param pmIn the map containing the binary values to add ti out
+ * @param iPos index of the binary in an array (in case of "MapArray")
+ */
+void loadMapBinary(map** ppmOut,map* pmIn,int iPos){
+  map* pmSize=getMap(pmIn,"size");
+  map *pmOut=*ppmOut;
+  map *pmTmpVin,*pmTmpVout;
+  if(pmSize!=NULL && iPos>0){
     char tmp[11];
-    sprintf(tmp,"size_%d",pos);
-    size=getMap(in,tmp);
-    sprintf(tmp,"value_%d",pos);
-    tmpVin=getMap(in,tmp);
-    tmpVout=getMap(lout,tmp);
-    free(tmpVout->value);
-    tmpVout->value=(char*)malloc((atoi(size->value)+1)*sizeof(char));
-    memmove(tmpVout->value,tmpVin->value,atoi(size->value)*sizeof(char));
-    tmpVout->value[atoi(size->value)]=0;
+    sprintf(tmp,"size_%d",iPos);
+    pmSize=getMap(pmIn,tmp);
+    sprintf(tmp,"value_%d",iPos);
+    pmTmpVin=getMap(pmIn,tmp);
+    pmTmpVout=getMap(pmOut,tmp);
+    free(pmTmpVout->value);
+    pmTmpVout->value=(char*)malloc((atoi(pmSize->value)+1)*sizeof(char));
+    memmove(pmTmpVout->value,pmTmpVin->value,atoi(pmSize->value)*sizeof(char));
+    pmTmpVout->value[atoi(pmSize->value)]=0;
   }else{
-    if(size!=NULL){
-      tmpVin=getMap(in,"value");
-      tmpVout=getMap(lout,"value");
-      free(tmpVout->value);
-      tmpVout->value=(char*)malloc((atoi(size->value)+1)*sizeof(char));
-      memmove(tmpVout->value,tmpVin->value,atoi(size->value)*sizeof(char));
-      tmpVout->value[atoi(size->value)]=0;
-    }
-  }
-}
-  
+    if(pmSize!=NULL){
+      pmTmpVin=getMap(pmIn,"value");
+      pmTmpVout=getMap(pmOut,"value");
+      free(pmTmpVout->value);
+      pmTmpVout->value=(char*)malloc((atoi(pmSize->value)+1)*sizeof(char));
+      memmove(pmTmpVout->value,pmTmpVin->value,atoi(pmSize->value)*sizeof(char));
+      pmTmpVout->value[atoi(pmSize->value)]=0;
+    }
+  }
+}
+
 /**
  * Load binary values from a map (in) and add them to another map (out).
@@ -762,12 +764,12 @@
  * @see loadMapBinary
  *
- * @param out the map to add binaries values
- * @param in the map containing the binary values to add ti out
- */
-void loadMapBinaries(map** out,map* in){
-  map* size=getMap(in,"size");
-  map* length=getMap(in,"length");
-  map* toload=getMap(in,"to_load");
-  if(toload!=NULL && strcasecmp(toload->value,"false")==0){
+ * @param ppmOut the map to add binaries values
+ * @param pmIn the map containing the binary values to add ti out
+ */
+void loadMapBinaries(map** ppmOut,map* pmIn){
+  map* pmSize=getMap(pmIn,"size");
+  map* pmLength=getMap(pmIn,"length");
+  map* pmToload=getMap(pmIn,"to_load");
+  if(pmToload!=NULL && strcasecmp(pmToload->value,"false")==0){
 #ifdef DEBUG
     fprintf(stderr,"NO LOAD %s %d \n",__FILE__,__LINE__);
